- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# hwc_smn_topic – Creates a resource of SMNTopic in Huaweicloud Cloud

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Represents a SMN notification topic resource.

## Requirements

The below requirements are needed on the host that executes this module.

- requests >= 2.18.4
- keystoneauth1 >= 3.6.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
display_name string |  | Topic display name, which is presented as the name of the email sender in an email message. The topic display name contains a maximum of 192 bytes.
domain string / required |  | The name of the Domain to scope to (Identity v3). (currently only domain names are supported, and not domain IDs).
id string |  | The id of resource to be managed.
identity_endpoint string / required |  | The Identity authentication URL.
name string / required |  | Name of the topic to be created. The topic name is a string of 1 to 256 characters. It must contain upper- or lower-case letters, digits, hyphens (-), and underscores `_`, and must start with a letter or digit.
password string / required |  | The password to login with.
project string / required |  | The name of the Tenant (Identity v2) or Project (Identity v3). (currently only project names are supported, and not project IDs).
region string |  | The region to which the project belongs.
state string | Choices: present ← absent | Whether the given object should exist in Huaweicloud Cloud.
user string / required |  | The user name to login with (currently only user names are supported, and not user IDs).

## Notes

Note

- For authentication, you can set identity_endpoint using the `ANSIBLE_HWC_IDENTITY_ENDPOINT` env variable.
- For authentication, you can set user using the `ANSIBLE_HWC_USER` env variable.
- For authentication, you can set password using the `ANSIBLE_HWC_PASSWORD` env variable.
- For authentication, you can set domain using the `ANSIBLE_HWC_DOMAIN` env variable.
- For authentication, you can set project using the `ANSIBLE_HWC_PROJECT` env variable.
- For authentication, you can set region using the `ANSIBLE_HWC_REGION` env variable.
- Environment variables values will only be used if the playbook values are not set.

## Examples

    - name: create a smn topic
      hwc_smn_topic:
          identity_endpoint: "{{ identity_endpoint }}"
          user_name: "{{ user_name }}"
          password: "{{ password }}"
          domain_name: "{{ domain_name }}"
          project_name: "{{ project_name }}"
          region: "{{ region }}"
          name: "ansible_smn_topic_test"
          state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
create_time string | success | Time when the topic was created.
display_name string | success | Topic display name, which is presented as the name of the email sender in an email message. The topic display name contains a maximum of 192 bytes.
name string | success | Name of the topic to be created. The topic name is a string of 1 to 256 characters. It must contain upper- or lower-case letters, digits, hyphens (-), and underscores `_`, and must start with a letter or digit.
push_policy integer | success | Message pushing policy. 0 indicates that the message sending fails and the message is cached in the queue. 1 indicates that the failed message is discarded.
topic_urn string | success | Resource identifier of a topic, which is unique.
update_time string | success | Time when the topic was updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Huawei Inc. (@huaweicloud)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.